> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Generate an SDK

POST https://api.getpostman.com/sdks
Content-Type: application/json

Creates an asynchronous generation job for a single SDK (in one language) from a collection or specification.

To get the status of an SDK's generation, use the GET `/sdks/{sdkId}` endpoint and track its `buildStatus`. When the status is the `succeeded` value, the SDK is ready to download. You can also use the URL in the POST response's `Location` header.

**Note:**

The request body is determined by the given `language` value, so only provide the properties relevant to that language's SDK.


Reference: https://learning.postman.com/api-docs/api-reference/sd-ks/create-sdk

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /sdks:
    post:
      operationId: createSdk
      summary: Generate an SDK
      description: >
        Creates an asynchronous generation job for a single SDK (in one
        language) from a collection or specification.


        To get the status of an SDK's generation, use the GET `/sdks/{sdkId}`
        endpoint and track its `buildStatus`. When the status is the `succeeded`
        value, the SDK is ready to download. You can also use the URL in the
        POST response's `Location` header.


        **Note:**


        The request body is determined by the given `language` value, so only
        provide the properties relevant to that language's SDK.
      tags:
        - sdKs
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SDKs_createSdk_Response_202'
        '400':
          description: Malformed Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sdkError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSdkRequestUnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSdkRequestForbiddenError'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateSdkRequestInternalServerError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createSdk'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    elementType-2:
      type: string
      enum:
        - collection
        - spec
      description: The type of Postman element.
      title: elementType-2
    sdkSource:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/elementType-2'
        id:
          type: string
          description: The ID of the Postman Collection or specification in Postman.
      required:
        - type
        - id
      description: The collection or specification that the SDK is generated from.
      title: sdkSource
    sdkLanguage:
      type: string
      enum:
        - typescript
        - python
        - go
        - java
        - csharp
        - ruby
        - php
        - kotlin
        - rust
        - cli
      description: The target output language for the generated SDK.
      title: sdkLanguage
    sdkAuthorData:
      type: object
      properties:
        name:
          type: string
          description: The author's name.
        email:
          type: string
          format: email
          description: The author's email address.
      required:
        - name
      description: Information about the author of the generated SDK.
      title: sdkAuthorData
    httpCodesToRetry:
      type: integer
      description: An HTTP status code.
      title: httpCodesToRetry
    SdkRetryOptionsHttpMethodsToRetryItems:
      type: string
      enum:
        - GET
        - POST
        - PUT
        - DELETE
        - PATCH
        - HEAD
        - OPTIONS
        - CONNECT
        - TRACE
      title: SdkRetryOptionsHttpMethodsToRetryItems
    sdkRetryOptions:
      type: object
      properties:
        enabled:
          type: boolean
          default: true
          description: If true, the generated SDK includes retry behavior.
        maxAttempts:
          type: integer
          default: 3
          description: The maximum number of attempts to try before giving up.
        retryDelay:
          type: integer
          default: 150
          description: The base wait between attempts, in milliseconds.
        maxDelay:
          type: integer
          description: The maximum wait between attempts, in milliseconds.
        backOffFactor:
          type: number
          format: double
          description: >-
            The exponent base used to compute exponential backoff between
            attempts.
        retryDelayJitter:
          type: integer
          description: The maximum random jitter added to wait times, in milliseconds.
        httpCodesToRetry:
          type: array
          items:
            $ref: '#/components/schemas/httpCodesToRetry'
          description: A list of HTTP status codes that the SDK attempts its retries on.
        httpMethodsToRetry:
          type: array
          items:
            $ref: '#/components/schemas/SdkRetryOptionsHttpMethodsToRetryItems'
          description: A list of the HTTP methods that the SDK attempts its retries on.
      required:
        - retryDelay
      description: >-
        Retry behavior baked into the generated SDK's HTTP client. A power-user
        option; sensible defaults apply for any field left unset.
      title: sdkRetryOptions
    typescriptOptions:
      type: object
      properties:
        npmOrg:
          type: string
          description: An npm organization's scope. Don't include a trailing slash.
        npmName:
          type: string
          description: The unscoped npm package's name.
      description: TypeScript-specific SDK generation options.
      title: typescriptOptions
    pythonOptions:
      type: object
      properties:
        pypiPackageName:
          type: string
          description: The PyPI package's name.
      description: Python-specific SDK generation options.
      title: pythonOptions
    goOptions:
      type: object
      properties:
        goModuleName:
          type: string
          description: The Go module path written into the `go.mod` definition file.
      description: Go-specific SDK generation options.
      title: goOptions
    javaOptions:
      type: object
      properties:
        groupId:
          type: string
          description: The Maven group ID written into the `pom.xml` dependencies file.
        artifactId:
          type: string
          description: The Maven artifact ID written into the `pom.xml` dependencies file.
      description: Java-specific SDK generation options.
      title: javaOptions
    csharpOptions:
      type: object
      properties:
        packageId:
          type: string
          description: The NuGet package's ID.
      description: C#-specific SDK generation options.
      title: csharpOptions
    rubyOptions:
      type: object
      properties:
        gemName:
          type: string
          description: The RubyGems gem's name.
      description: Ruby-specific generation options.
      title: rubyOptions
    phpOptions:
      type: object
      properties:
        packageName:
          type: string
          description: The composer package name, in `vendor/package` format.
      description: PHP-specific SDK generation options.
      title: phpOptions
    kotlinOptions:
      type: object
      properties:
        groupId:
          type: string
          description: The Maven group ID written into the `pom.xml` dependencies file.
        artifactId:
          type: string
          description: The Maven artifact ID written into the `pom.xml` dependencies file.
      description: Kotlin-specific SDK generation options.
      title: kotlinOptions
    rustOptions:
      type: object
      properties:
        packageName:
          type: string
          description: The crates.io package's name.
      description: Rust-specific SDK generation options.
      title: rustOptions
    cliOptions:
      type: object
      properties:
        goModuleName:
          type: string
          description: The Go module's path for the generated CLI.
      description: CLI-specific SDK generation options.
      title: cliOptions
    createSdk:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/sdkSource'
        language:
          $ref: '#/components/schemas/sdkLanguage'
        authors:
          type: array
          items:
            $ref: '#/components/schemas/sdkAuthorData'
          description: A list of package authors written into the generated manifest.
        retry:
          $ref: '#/components/schemas/sdkRetryOptions'
        typescriptOptions:
          $ref: '#/components/schemas/typescriptOptions'
        pythonOptions:
          $ref: '#/components/schemas/pythonOptions'
        goOptions:
          $ref: '#/components/schemas/goOptions'
        javaOptions:
          $ref: '#/components/schemas/javaOptions'
        csharpOptions:
          $ref: '#/components/schemas/csharpOptions'
        rubyOptions:
          $ref: '#/components/schemas/rubyOptions'
        phpOptions:
          $ref: '#/components/schemas/phpOptions'
        kotlinOptions:
          $ref: '#/components/schemas/kotlinOptions'
        rustOptions:
          $ref: '#/components/schemas/rustOptions'
        cliOptions:
          $ref: '#/components/schemas/cliOptions'
      required:
        - source
        - language
      description: >
        **Note:**


        - Only the object passed in the request body that matches the value in
        the `language` property gets read, and all other objects are ignored.

        - The language option object is optional. When the language identifier
        is omitted, it's derived from the `source` element name and its
        workspace.
      title: createSdk
    SDKs_createSdk_Response_202:
      type: object
      properties: {}
      description: Empty response body
      title: SDKs_createSdk_Response_202
    sdkError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        status:
          type: integer
          description: The error's HTTP status code.
        detail:
          type: string
          description: Information about the error.
        instance:
          type: string
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
        requestId:
          type: string
          description: The request's ID.
      required:
        - type
        - title
        - status
      title: sdkError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    CreateSdkRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: CreateSdkRequestUnauthorizedError
    CreateSdkRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: CreateSdkRequestForbiddenError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CreateSdkRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: CreateSdkRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Create a TypeScript SDK



**Request**

```json
{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "typescript",
  "authors": [
    {
      "name": "engineering Engineering",
      "email": "sdk@engineering.com"
    }
  ],
  "retry": {
    "retryDelay": 200,
    "maxAttempts": 5,
    "httpCodesToRetry": [
      429,
      503
    ]
  },
  "typescriptOptions": {
    "npmOrg": "@engineering",
    "npmName": "engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Create a TypeScript SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "collection",
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
    },
    "language": "typescript",
    "authors": [
        {
            "name": "engineering Engineering",
            "email": "sdk@engineering.com"
        }
    ],
    "retry": {
        "retryDelay": 200,
        "maxAttempts": 5,
        "httpCodesToRetry": [429, 503]
    },
    "typescriptOptions": {
        "npmOrg": "@engineering",
        "npmName": "engineering-sdk"
    }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create a TypeScript SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"collection","id":"12ece9e1-2abf-4edc-8e34-de66e74114d2"},"language":"typescript","authors":[{"name":"engineering Engineering","email":"sdk@engineering.com"}],"retry":{"retryDelay":200,"maxAttempts":5,"httpCodesToRetry":[429,503]},"typescriptOptions":{"npmOrg":"@engineering","npmName":"engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create a TypeScript SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"typescript\",\n  \"authors\": [\n    {\n      \"name\": \"engineering Engineering\",\n      \"email\": \"sdk@engineering.com\"\n    }\n  ],\n  \"retry\": {\n    \"retryDelay\": 200,\n    \"maxAttempts\": 5,\n    \"httpCodesToRetry\": [\n      429,\n      503\n    ]\n  },\n  \"typescriptOptions\": {\n    \"npmOrg\": \"@engineering\",\n    \"npmName\": \"engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a TypeScript SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"typescript\",\n  \"authors\": [\n    {\n      \"name\": \"engineering Engineering\",\n      \"email\": \"sdk@engineering.com\"\n    }\n  ],\n  \"retry\": {\n    \"retryDelay\": 200,\n    \"maxAttempts\": 5,\n    \"httpCodesToRetry\": [\n      429,\n      503\n    ]\n  },\n  \"typescriptOptions\": {\n    \"npmOrg\": \"@engineering\",\n    \"npmName\": \"engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Create a TypeScript SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"typescript\",\n  \"authors\": [\n    {\n      \"name\": \"engineering Engineering\",\n      \"email\": \"sdk@engineering.com\"\n    }\n  ],\n  \"retry\": {\n    \"retryDelay\": 200,\n    \"maxAttempts\": 5,\n    \"httpCodesToRetry\": [\n      429,\n      503\n    ]\n  },\n  \"typescriptOptions\": {\n    \"npmOrg\": \"@engineering\",\n    \"npmName\": \"engineering-sdk\"\n  }\n}")
  .asString();
```

```php Create a TypeScript SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "typescript",
  "authors": [
    {
      "name": "engineering Engineering",
      "email": "sdk@engineering.com"
    }
  ],
  "retry": {
    "retryDelay": 200,
    "maxAttempts": 5,
    "httpCodesToRetry": [
      429,
      503
    ]
  },
  "typescriptOptions": {
    "npmOrg": "@engineering",
    "npmName": "engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create a TypeScript SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"typescript\",\n  \"authors\": [\n    {\n      \"name\": \"engineering Engineering\",\n      \"email\": \"sdk@engineering.com\"\n    }\n  ],\n  \"retry\": {\n    \"retryDelay\": 200,\n    \"maxAttempts\": 5,\n    \"httpCodesToRetry\": [\n      429,\n      503\n    ]\n  },\n  \"typescriptOptions\": {\n    \"npmOrg\": \"@engineering\",\n    \"npmName\": \"engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a TypeScript SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ],
  "language": "typescript",
  "authors": [
    [
      "name": "engineering Engineering",
      "email": "sdk@engineering.com"
    ]
  ],
  "retry": [
    "retryDelay": 200,
    "maxAttempts": 5,
    "httpCodesToRetry": [429, 503]
  ],
  "typescriptOptions": [
    "npmOrg": "@engineering",
    "npmName": "engineering-sdk"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a Python SDK



**Request**

```json
{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "python",
  "pythonOptions": {
    "pypiPackageName": "engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a Python SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "collection",
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
    },
    "language": "python",
    "pythonOptions": { "pypiPackageName": "engineering-sdk" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a Python SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"collection","id":"12ece9e1-2abf-4edc-8e34-de66e74114d2"},"language":"python","pythonOptions":{"pypiPackageName":"engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a Python SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"python\",\n  \"pythonOptions\": {\n    \"pypiPackageName\": \"engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a Python SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"python\",\n  \"pythonOptions\": {\n    \"pypiPackageName\": \"engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a Python SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"python\",\n  \"pythonOptions\": {\n    \"pypiPackageName\": \"engineering-sdk\"\n  }\n}")
  .asString();
```

```php Generate a Python SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "python",
  "pythonOptions": {
    "pypiPackageName": "engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a Python SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"python\",\n  \"pythonOptions\": {\n    \"pypiPackageName\": \"engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a Python SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ],
  "language": "python",
  "pythonOptions": ["pypiPackageName": "engineering-sdk"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a Go SDK



**Request**

```json
{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "go",
  "goOptions": {
    "goModuleName": "github.com/engineering/engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a Go SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "spec",
        "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
    },
    "language": "go",
    "goOptions": { "goModuleName": "github.com/engineering/engineering-sdk" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a Go SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"spec","id":"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"},"language":"go","goOptions":{"goModuleName":"github.com/engineering/engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a Go SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"go\",\n  \"goOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a Go SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"go\",\n  \"goOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a Go SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"go\",\n  \"goOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-sdk\"\n  }\n}")
  .asString();
```

```php Generate a Go SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "go",
  "goOptions": {
    "goModuleName": "github.com/engineering/engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a Go SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"go\",\n  \"goOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a Go SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  ],
  "language": "go",
  "goOptions": ["goModuleName": "github.com/engineering/engineering-sdk"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a Java SDK



**Request**

```json
{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "java",
  "javaOptions": {
    "groupId": "com.engineering",
    "artifactId": "engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a Java SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "collection",
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
    },
    "language": "java",
    "javaOptions": {
        "groupId": "com.engineering",
        "artifactId": "engineering-sdk"
    }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a Java SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"collection","id":"12ece9e1-2abf-4edc-8e34-de66e74114d2"},"language":"java","javaOptions":{"groupId":"com.engineering","artifactId":"engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a Java SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"java\",\n  \"javaOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a Java SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"java\",\n  \"javaOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a Java SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"java\",\n  \"javaOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}")
  .asString();
```

```php Generate a Java SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "java",
  "javaOptions": {
    "groupId": "com.engineering",
    "artifactId": "engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a Java SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"java\",\n  \"javaOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a Java SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ],
  "language": "java",
  "javaOptions": [
    "groupId": "com.engineering",
    "artifactId": "engineering-sdk"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a C# SDK



**Request**

```json
{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "csharp",
  "csharpOptions": {
    "packageId": "engineering.Sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a C# SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "spec",
        "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
    },
    "language": "csharp",
    "csharpOptions": { "packageId": "engineering.Sdk" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a C# SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"spec","id":"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"},"language":"csharp","csharpOptions":{"packageId":"engineering.Sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a C# SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"csharp\",\n  \"csharpOptions\": {\n    \"packageId\": \"engineering.Sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a C# SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"csharp\",\n  \"csharpOptions\": {\n    \"packageId\": \"engineering.Sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a C# SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"csharp\",\n  \"csharpOptions\": {\n    \"packageId\": \"engineering.Sdk\"\n  }\n}")
  .asString();
```

```php Generate a C# SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "csharp",
  "csharpOptions": {
    "packageId": "engineering.Sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a C# SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"csharp\",\n  \"csharpOptions\": {\n    \"packageId\": \"engineering.Sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a C# SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  ],
  "language": "csharp",
  "csharpOptions": ["packageId": "engineering.Sdk"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a Ruby SDK



**Request**

```json
{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "ruby",
  "rubyOptions": {
    "gemName": "engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a Ruby SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "collection",
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
    },
    "language": "ruby",
    "rubyOptions": { "gemName": "engineering-sdk" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a Ruby SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"collection","id":"12ece9e1-2abf-4edc-8e34-de66e74114d2"},"language":"ruby","rubyOptions":{"gemName":"engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a Ruby SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"ruby\",\n  \"rubyOptions\": {\n    \"gemName\": \"engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a Ruby SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"ruby\",\n  \"rubyOptions\": {\n    \"gemName\": \"engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a Ruby SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"ruby\",\n  \"rubyOptions\": {\n    \"gemName\": \"engineering-sdk\"\n  }\n}")
  .asString();
```

```php Generate a Ruby SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "ruby",
  "rubyOptions": {
    "gemName": "engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a Ruby SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"ruby\",\n  \"rubyOptions\": {\n    \"gemName\": \"engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a Ruby SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ],
  "language": "ruby",
  "rubyOptions": ["gemName": "engineering-sdk"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a PHP SDK



**Request**

```json
{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "php",
  "phpOptions": {
    "packageName": "engineering/sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a PHP SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "spec",
        "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
    },
    "language": "php",
    "phpOptions": { "packageName": "engineering/sdk" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a PHP SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"spec","id":"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"},"language":"php","phpOptions":{"packageName":"engineering/sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a PHP SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"php\",\n  \"phpOptions\": {\n    \"packageName\": \"engineering/sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a PHP SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"php\",\n  \"phpOptions\": {\n    \"packageName\": \"engineering/sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a PHP SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"php\",\n  \"phpOptions\": {\n    \"packageName\": \"engineering/sdk\"\n  }\n}")
  .asString();
```

```php Generate a PHP SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "php",
  "phpOptions": {
    "packageName": "engineering/sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a PHP SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"php\",\n  \"phpOptions\": {\n    \"packageName\": \"engineering/sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a PHP SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  ],
  "language": "php",
  "phpOptions": ["packageName": "engineering/sdk"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a Kotlin SDK



**Request**

```json
{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "kotlin",
  "kotlinOptions": {
    "groupId": "com.engineering",
    "artifactId": "engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a Kotlin SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "spec",
        "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
    },
    "language": "kotlin",
    "kotlinOptions": {
        "groupId": "com.engineering",
        "artifactId": "engineering-sdk"
    }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a Kotlin SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"spec","id":"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"},"language":"kotlin","kotlinOptions":{"groupId":"com.engineering","artifactId":"engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a Kotlin SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"kotlin\",\n  \"kotlinOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a Kotlin SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"kotlin\",\n  \"kotlinOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a Kotlin SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"kotlin\",\n  \"kotlinOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}")
  .asString();
```

```php Generate a Kotlin SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  },
  "language": "kotlin",
  "kotlinOptions": {
    "groupId": "com.engineering",
    "artifactId": "engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a Kotlin SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"spec\",\n    \"id\": \"9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d\"\n  },\n  \"language\": \"kotlin\",\n  \"kotlinOptions\": {\n    \"groupId\": \"com.engineering\",\n    \"artifactId\": \"engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a Kotlin SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "spec",
    "id": "9a7b6c5d-4e3f-2a1b-0c9d-8e7f6a5b4c3d"
  ],
  "language": "kotlin",
  "kotlinOptions": [
    "groupId": "com.engineering",
    "artifactId": "engineering-sdk"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a Rust SDK



**Request**

```json
{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "rust",
  "rustOptions": {
    "packageName": "engineering-sdk"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a Rust SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "collection",
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
    },
    "language": "rust",
    "rustOptions": { "packageName": "engineering-sdk" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a Rust SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"collection","id":"12ece9e1-2abf-4edc-8e34-de66e74114d2"},"language":"rust","rustOptions":{"packageName":"engineering-sdk"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a Rust SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"rust\",\n  \"rustOptions\": {\n    \"packageName\": \"engineering-sdk\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a Rust SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"rust\",\n  \"rustOptions\": {\n    \"packageName\": \"engineering-sdk\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a Rust SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"rust\",\n  \"rustOptions\": {\n    \"packageName\": \"engineering-sdk\"\n  }\n}")
  .asString();
```

```php Generate a Rust SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "rust",
  "rustOptions": {
    "packageName": "engineering-sdk"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a Rust SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"rust\",\n  \"rustOptions\": {\n    \"packageName\": \"engineering-sdk\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a Rust SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ],
  "language": "rust",
  "rustOptions": ["packageName": "engineering-sdk"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Generate a CLI SDK



**Request**

```json
{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "cli",
  "cliOptions": {
    "goModuleName": "github.com/engineering/engineering-cli"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python Generate a CLI SDK
import requests

url = "https://api.getpostman.com/sdks"

payload = {
    "source": {
        "type": "collection",
        "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
    },
    "language": "cli",
    "cliOptions": { "goModuleName": "github.com/engineering/engineering-cli" }
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Generate a CLI SDK
const url = 'https://api.getpostman.com/sdks';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"source":{"type":"collection","id":"12ece9e1-2abf-4edc-8e34-de66e74114d2"},"language":"cli","cliOptions":{"goModuleName":"github.com/engineering/engineering-cli"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Generate a CLI SDK
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/sdks"

	payload := strings.NewReader("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"cli\",\n  \"cliOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-cli\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Generate a CLI SDK
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/sdks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"cli\",\n  \"cliOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-cli\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Generate a CLI SDK
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.getpostman.com/sdks")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"cli\",\n  \"cliOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-cli\"\n  }\n}")
  .asString();
```

```php Generate a CLI SDK
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.getpostman.com/sdks', [
  'body' => '{
  "source": {
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  },
  "language": "cli",
  "cliOptions": {
    "goModuleName": "github.com/engineering/engineering-cli"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Generate a CLI SDK
using RestSharp;

var client = new RestClient("https://api.getpostman.com/sdks");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"source\": {\n    \"type\": \"collection\",\n    \"id\": \"12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n  },\n  \"language\": \"cli\",\n  \"cliOptions\": {\n    \"goModuleName\": \"github.com/engineering/engineering-cli\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Generate a CLI SDK
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "source": [
    "type": "collection",
    "id": "12ece9e1-2abf-4edc-8e34-de66e74114d2"
  ],
  "language": "cli",
  "cliOptions": ["goModuleName": "github.com/engineering/engineering-cli"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/sdks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```